# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-10-09 19:25
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    dependencies = [
        ('media', '0009_remove_mediarelation_sort_default'),
        ('promotion', '0003_update_meta_projectcategorymembership'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('notes', models.TextField(blank=True, help_text='For internal use')),
            ],
            options={
                'verbose_name': 'Reel',
                'verbose_name_plural': 'Reels',
                'ordering': ('-id',),
            },
        ),
        migrations.CreateModel(
            name='ReelContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='promotion_reelcontent_related', related_query_name='promotion_reelcontents', to='media.Image')),
                ('reel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='promotion.Reel')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='promotion_reelcontent_related', related_query_name='promotion_reelcontents', to='media.Video')),
            ],
            options={
                'verbose_name': 'Content Item',
                'ordering': ('reel', 'position'),
                'abstract': False,
            },
        ),
    ]
